# GetBurnTRX

Query the amount of TRX burned due to on-chain transaction fees since [No. 54 Committee Proposal ](https://tronscan.org/#/proposal/54)took effect (Confirmed state).

This method will use `30` [Compute Units](/v1/about/billing.md).

***

Before the [No. 54 Committee Proposal](https://tronscan.org/#/proposal/54) takes effect, the destruction of transaction fees is completed by transferring to the black hole address `TLsV52sRDL79HXGGm9yzwKibb6BeruhUzy`, After the No. 54 committee proposal takes effect, it will no longer be transferred to the black hole address, but will be directly recorded in the node database.

Users can query the amount of TRX burned due to on-chain transaction fees after the proposal takes effect through this interface. The approximate amount of TRX that was destroyed before the proposal takes effect can be obtained through `Balance of Black Hole Address - Initial Value of Black Hole Address Balance`.

Note: The initial value of the blackhole address balance can be obtained in the [node configuration file](https://github.com/tronprotocol/tron-deployment/blob/master/main_net_config.conf).

## **Parameters**

* `None`

## **Returns**

`burnTrxAmount` - int64 : Amount of TRX burned, in sun.

```json
// Result
{
  "burnTrxAmount": 117891750260680
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/getburntrx \
    -X GET
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-solidity-api/node-and-chain/getburntrx.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
